what(1)

NAME
what - extract SCCS version information from a file

SYNOPSIS

what
[-s]
filename...

DESCRIPTION

The what utility searches each filename for occurrences of the pattern @(#) that the SCCS get command (see sccs-get(1)) substitutes for the %Z% ID keyword, and prints what follows up to a ", >, NEWLINE, \, or NULL character.

OPTIONS

The following option is supported:

-s  Stops after the first occurrence of the pattern.

-V  Prints the what version number string and exists.

EXAMPLES

Example 1 Extracting SCCS version information

If a C program in file program.c contains

char sccsid[] = "@(#)identification information";

and program.c is compiled to yield program.o and a.out, the command:

example%
what program.c program.o a.out

produces:

program.c:
    identification information

program.o:
    identification information

a.out:
    identification information

ENVIRONMENT VARIABLES

See environ(5) for descriptions of the following environment variables that affect the execution of what: LANG, LC_ALL, LC_CTYPE, LC_MESSAGES, and NLSPATH.

EXIT STATUS

The following exit values are returned:

0   Any matches were found.

1   No matches found.

ATTRIBUTES

See attributes(5) for descriptions of the following attributes:

SEE ALSO

sccs(1), sccs-admin(1), sccs-cdc(1), sccs-comb(1), sccs-cvt(1), sccs-delta(1), sccs-get(1), sccs-help(1), sccs-log(1), sccs-prs(1), sccs-prt(1), sccs-rmdel(1), sccs-sact(1), sccs-sccsdiff(1), sccs-unget(1), sccs-val(1), sccschangeset(4), sccsfile(4), attributes(5), environ(5), standards(5).

DIAGNOSTICS

Use the SCCS help command for explanations (see sccs-help(1)).

BUGS

There is a remote possibility that a spurious occurrence of the `@(#)' pattern could be found by what.

AUTHORS
The SCCS suite was originally written by Marc J. Rochkind at Bell Labs in 1972. Release 4.0 of SCCS, introducing new versions of the programs admin(1), get(1), prt(1), and delta(1) was published on February 18, 1977; it introduced the new text based SCCS v4 history file format (previous SCCS releases used a binary history file format). The SCCS suite was later maintained by various people at AT&T and Sun Microsystems. Since 2006, the SCCS suite is maintained by Joerg Schilling.